Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] fails à l'installation de certains paquets [RÉSOLU
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Mon Jun 16, 2008 3:05 pm    Post subject: [emerge] fails à l'installation de certains paquets [RÉSOLU Reply with quote

Bonjour !

Je rencontre des problèmes à l'installation de certains paquets. Par exemple : lyx, claws-mail, sylpheed. J'obtiens ce type de messages d'erreur :
Code:

 *
 * ERROR: app-text/openjade-1.3.2-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2790:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/environment'.
 *


Y a-t-il moyen d'installer les paquets autrement ?


Last edited by fonguy on Tue Jun 17, 2008 7:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
ceric35
Tux's lil' helper
Tux's lil' helper


Joined: 27 Aug 2006
Posts: 115

PostPosted: Mon Jun 16, 2008 3:14 pm    Post subject: Reply with quote

"post the topmost build error"

L'erreur se situe plus haut, avant le "ERROR: app-text/openjade-1.3.2-r1 failed. " dans ce cas.
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Mon Jun 16, 2008 4:04 pm    Post subject: Reply with quote

Compléments d'info :
Code:

make[2]: *** Pas de règle pour fabriquer la cible « /usr/lib64/libosp.la », nécessaire pour « openjade ». Arrêt.
make[2]: *** Attente des tâches non terminées....
make[2]: quittant le répertoire « /var/tmp/portage/app-text/openjade-1.3.2-r1/work/openjade-1.3.2/jade »
make[1]: *** [jade] Erreur 2
make[1]: quittant le répertoire « /var/tmp/portage/app-text/openjade-1.3.2-r1/work/openjade-1.3.2 »
make: *** [all] Erreur 2
 *
 * ERROR: app-text/openjade-1.3.2-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2790:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/environment'.
 *

 * Messages for package app-text/opensp-1.5.2-r1:

 * Please note that the soname of the library changed.
 * If you are upgrading from a previous version you need
 * to fix dynamic linking inconsistencies by executing:
 *
 *     revdep-rebuild --library='libosp.so.*'

 * Messages for package app-text/openjade-1.3.2-r1:

 *
 * ERROR: app-text/openjade-1.3.2-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2790:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/environment'.
 *
 * Regenerating GNU info directory index...
 * Processed 170 info files.

_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
Delvin
Guru
Guru


Joined: 07 Jul 2004
Posts: 546

PostPosted: Mon Jun 16, 2008 4:23 pm    Post subject: Reply with quote

La réponse est dans la question :

Code:
 * Messages for package app-text/opensp-1.5.2-r1:
 
 * Please note that the soname of the library changed.
 * If you are upgrading from a previous version you need
 * to fix dynamic linking inconsistencies by executing:
 *
 *     revdep-rebuild --library='libosp.so.*'

_________________
Ne tirez pas sur les canards !!
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 2:58 am    Post subject: Reply with quote

Delvin wrote:
La réponse est dans la question :

Code:
 * Messages for package app-text/opensp-1.5.2-r1:
 
 * Please note that the soname of the library changed.
 * If you are upgrading from a previous version you need
 * to fix dynamic linking inconsistencies by executing:
 *
 *     revdep-rebuild --library='libosp.so.*'


Merci ! Mais ça dit : si vous mettez à jour depuis une version antérieure. J'en avais déduit que cela avait rapport avec une installation antérieure de Lyx, ce qui n'est pas le cas puisique c'est une première installation. J'étais dans le champ :lol:.

Je fais le revdep-rebuild et je reviens avec le feedback.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 3:25 am    Post subject: Reply with quote

J'ai appliqué le revdep-rebuild. Cela a réparé app-text/opensp-1.5.2-r1. Mais l'installation de lyx plante toujours lors de la compilation de openjade.
Code:

make[2]: *** Pas de règle pour fabriquer la cible « /usr/lib64/libosp.la », nécessaire pour « openjade ». Arrêt.
make[2]: *** Attente des tâches non terminées....
make[2]: quittant le répertoire « /var/tmp/portage/app-text/openjade-1.3.2-r1/work/openjade-1.3.2/jade »
make[1]: *** [jade] Erreur 2
make[1]: quittant le répertoire « /var/tmp/portage/app-text/openjade-1.3.2-r1/work/openjade-1.3.2 »
make: *** [all] Erreur 2
 *
 * ERROR: app-text/openjade-1.3.2-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2790:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/environment'.
 *

 * Messages for package app-text/openjade-1.3.2-r1:

 *
 * ERROR: app-text/openjade-1.3.2-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2790:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/openjade-1.3.2-r1/temp/environment'.


C'est le topmost build error puisque que c'est le premier paquet à installer dans la séquence.
Code:

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] app-text/openjade-1.3.2-r1  0 kB
[ebuild  N    ] app-text/docbook-dsssl-stylesheets-1.79  272 kB
[ebuild  N    ] app-text/docbook-sgml-dtd-3.1-r3  55 kB
[ebuild  N    ] app-text/jadetex-3.13-r2  101 kB
[ebuild  N    ] app-text/sgmltools-lite-3.0.3-r10  USE="tetex" 69 kB
[ebuild  N    ] app-office/lyx-1.5.5  USE="X cups nls -debug -latex" LINGUAS="-he" 8,960 kB

Total: 6 packages (6 new), Size of downloads: 9,455 kB


Je m'interroge sur ce message :
Code:

make[2]: *** Pas de règle pour fabriquer la cible « /usr/lib64/libosp.la », nécessaire pour « openjade ». Arrêt.

_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Tue Jun 17, 2008 7:09 am    Post subject: Reply with quote

'alute

regarde par ... ce qui est étrange c'est que tu ais encore ce bug :?

peut voir un emerge --info stp ? ( à tout hasard, ton snapshot de portage pout l'install : il date de qd ? )
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Tue Jun 17, 2008 11:16 am    Post subject: Reply with quote

Je suis pas certain,mais ton ordi est supposé être en 32 bits...alors je vois pas le rapport avec ceci : /usr/lib64/libosp.la

C'est une lib64...soit une librairie 64 bits.
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 12:16 pm    Post subject: Reply with quote

d2_racing wrote:
Je suis pas certain,mais ton ordi est supposé être en 32 bits...alors je vois pas le rapport avec ceci : /usr/lib64/libosp.la

C'est une lib64...soit une librairie 64 bits.


C'est exactement cela qui m'embête. J'ai eu la même mésaventure en installant la Brother MFC-240C dont j'avais téléchargé la version i386 des pilotes. Pour réussir l'installation, j'avais dû créer ce dossier : /usr/lib64/cups/filter.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 12:31 pm    Post subject: Reply with quote

boozo wrote:
'alute

regarde par ... ce qui est étrange c'est que tu ais encore ce bug :?

peut voir un emerge --info stp ? ( à tout hasard, ton snapshot de portage pout l'install : il date de qd ? )


Voici le emerge --info :
Code:

Portage 2.1.4.4 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r8 i686)
=================================================================
System uname: 2.6.24-gentoo-r8 i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
Timestamp of tree: Sat, 14 Jun 2008 13:45:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS=""
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org/"
LANG="fr_CA.UTF8"
LC_ALL="fr_CA.UTF-8"
LINGUAS="fr"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.ca.gentoo.org/gentoo-portage"
USE="X acl acpi alsa avi berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus divx4linux dri dvd dvdr dvdread eds emboss encode esd evo fam firefox foomaticdb fortran gdbm gif gimprint gpm gstreamer gtk gtk2 hal iconv ipv6 isdnlog jpeg kde kerberos ldap libnotify mad man midi mikmod mp3 mpeg mudflap ncurses nlls nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf perl png ppds pppd python qt3 qt3support quicktime readline real reflection sdl session spell spl ssl startup-notification svg tcpd tetex tiff truetype unicode usb userlocales vorbis win32codecs x86 xcomposite xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr" USERLAND="GNU" VIDEO_CARDS="vesa radeon fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


J'ai suivi le lien donné. Ça date ! Mais il semble qu'en créant des liens symboliques, cela fonctionne. Je vais lire et relire à fond avant d'appliquer.

Je ne me souviens pas exactement de la date du snapshot. J'ai utilisé le latest et ça remonte à environ deux semaines.

[EDIT]

M***E ! En regardant de plus près la sortie de --info, je m'aperçois que j'ai une erreur dans le make.conf. Normalement qt3 devrait être -qt3. Voici l'erreur dans le make.conf :
Quote:

USE="gtk gtk2 -gnome -kde= qt3 -qt4 nlls oss alsa dvd dvdread dvdr cdr truetype avi userlocales cups foomaticdb usb gimprint divx4linux ppds unicode jpeg gif png win32codecs mp3 opengl -kdeenablefinal man mpeg real xv quicktime nsplugin hal dbus pdf tetex xcomposite"


Je vais corriger et faire le emerge -uDNv world.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 1:42 pm    Post subject: Reply with quote

J'ai réparé l'erreur du make.conf. Puis j'ai fait la mise à jour.
Code:

emerge --sync
emerge -uDNv world
emerge --depclean
revdep-rebuild


revdep-rebuild informe que tout est consistant. Je relance l'installation de lyx. Ça plante encore à l'installation de openjade. Je refais le revdep-rebuild --library='libosp.so.*' car c'est la même situation d'erreur que précédemment. Voici ce que donne la commande :
Code:

>>> Regenerating /etc/ld.so.cache...
>>> Original instance of package unmerged safely.
 * Please note that the soname of the library changed.
 * If you are upgrading from a previous version you need
 * to fix dynamic linking inconsistencies by executing:
 *
 *     revdep-rebuild --library='libosp.so.*'
>>> Regenerating /etc/ld.so.cache...
>>> app-text/opensp-1.5.2-r1 merged.

>>> No packages selected for removal by clean
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * Messages for package app-text/opensp-1.5.2-r1:

 * Please note that the soname of the library changed.
 * If you are upgrading from a previous version you need
 * to fix dynamic linking inconsistencies by executing:
 *
 *     revdep-rebuild --library='libosp.so.*'
 * GNU info directory index is up-to-date.
Build finished correctly. Removing temporary files...
You can re-run revdep-rebuild to verify that all libraries and binaries
are fixed. If some inconsistency remains, it can be orphaned file, deep
dependency, binary package or specially evaluated library.


Bizarre que ça demande encore un revdep-rebuild --library='libosp.so.*'. Je fais revdep-rebuild et ça donne :
Code:

Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... Nothing to rebuild

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

Dynamic linking on your system is consistent... All done.


Je relance l'installation de lyx. Toujours pareil, openjade ne veut pas s'installer. Est-ce une erreur de codification dans les scripts d'installation, est-ce une application 64 bits qui se retrouve dans la branche 32 bits, est-ce parce que j'ai installé Gentoo avec le bêta 2008, dois-je refaire le revdep-rebuild de libosp.so tant et aussi longtemps que le warning apparaît ? Aucune idée, c'est nébuleux.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Tue Jun 17, 2008 3:16 pm    Post subject: Reply with quote

fonguy wrote:
[code]
make[2]: *** Pas de règle pour fabriquer la cible « /usr/lib64/libosp.la », nécessaire pour « openjade ». Arrêt.
make[2]: *** Attente des tâches non terminées....
make[2]: quittant le répertoire « /var/tmp/portage/app-text/openjade-1.3.2-r1/work/openjade-1.3.2/jade »
make[1]: *** [jade] Erreur 2
make[1]: quittant le répertoire « /var/tmp/portage/app-text/openjade-1.3.2-r1/work/openjade-1.3.2 »
make: *** [all] Erreur 2
*
* ERROR: app-text/openjade-1.3.2-r1 failed.
* Call stack:

Pourrais-tu remonter encore plus haut dans les messages ?
En effet, il est possible que l'erreur que tu nous donnes ne soit qu'un effet de bord (erreurs en cascade)
Il faut parfois examiner jusqu'à 20 ou 30 lignes de logs, sinon plus, pour mettre le doigt sur l'erreur réelle..
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1699
Location: 127.0.0.1

PostPosted: Tue Jun 17, 2008 3:20 pm    Post subject: Reply with quote

Salut,

Quote:

Bizarre que ça demande encore un revdep-rebuild --library='libosp.so.*'. Je fais revdep-rebuild et ça donne :

Non pas bizarre, c'est un avertissement qui s'affiche à chaque installation du paquet, tu l'as exécuté une fois, après tu n'a plus besoin d'en tenir compte.

Quote:

Toujours pareil, openjade ne veut pas s'installer. Est-ce une erreur de codification dans les scripts d'installation, est-ce une application 64 bits qui se retrouve dans la branche 32 bits, est-ce parce que j'ai installé Gentoo avec le bêta 2008, dois-je refaire le revdep-rebuild de libosp.so tant et aussi longtemps que le warning apparaît ? Aucune idée, c'est nébuleux.

bug #136090
Il y a un workaround ici que tu peux essayer en attendant que le problème soit corrigé.
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 3:42 pm    Post subject: Reply with quote

netfab wrote:
Salut,

Quote:

Bizarre que ça demande encore un revdep-rebuild --library='libosp.so.*'. Je fais revdep-rebuild et ça donne :

Non pas bizarre, c'est un avertissement qui s'affiche à chaque installation du paquet, tu l'as exécuté une fois, après tu n'a plus besoin d'en tenir compte.

Quote:

Toujours pareil, openjade ne veut pas s'installer. Est-ce une erreur de codification dans les scripts d'installation, est-ce une application 64 bits qui se retrouve dans la branche 32 bits, est-ce parce que j'ai installé Gentoo avec le bêta 2008, dois-je refaire le revdep-rebuild de libosp.so tant et aussi longtemps que le warning apparaît ? Aucune idée, c'est nébuleux.

bug #136090
Il y a un workaround ici que tu peux essayer en attendant que le problème soit corrigé.


Alors si j'applique le workaround, je me positionne dans /usr/lib64 et je crée un lien symbolique vers /usr/lib :
Code:

ln -s /usr/lib64 /usr/lib


Right ?
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Tue Jun 17, 2008 4:27 pm    Post subject: Reply with quote

@fonguy: Le workaround est au final le m^ que mon bug de référence sous 64bit mais dans ton cas... C'est un 64bit ou pas ? :lol: on peut pas vraiment parler de workaround si ? (bon ok j'ergote)
Code:
System uname: 2.6.24-gentoo-r8 i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"


btw: Remarque l'est sympa aussi le bug de dberkholz... 'tain même un dev membre du conseil Gentoo ne respecte pas les règles de rapport sur b.g.o... que voulez-vous que çà donne comme influence sur pierreg tout çà :mrgreen:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 4:58 pm    Post subject: Reply with quote

J'ai un 32 bits.

J'ai fait :
Code:

ln -s /usr/lib64 /usr/lib


Je relance emerge lyx. Toujours la même erreur !

Désolé de ne pouvoir coller. C'est trop volumineux.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Tue Jun 17, 2008 5:22 pm    Post subject: Reply with quote

mwais... mais dans ce cas là un lien symbolique c'est pas suffisant semble-t-il donc malgré une déclaration sur 64bit teste les comments 2 | 5 du bugID 81148 pour voir
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 7:58 pm    Post subject: Reply with quote

J'ai appliqué la solution des liens en dur.
Code:

cd /usr/lib64
ln /usr/lib/libosp.a
ln /usr/lib/libosp.la
ln /usr/lib/libosp.so
ln /usr/lib/libosp.so.5
ln /usr/lib/libosp.so.5.0.0


openjade s'est installé :!:

Lyx est maintenant disponible.

C'est quand même aberrant qu'un bogue datant de 2005 ne soit pas encore corrigé.

Puis-je en toute sécurité supprimer le premier lien symbolique (rm /usr/lib64 /usr/lib) en faisant rm /usr/lib. J'tiens pas à supprimer le répertoire physique 8O .

Merci pour l'aide.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Tue Jun 17, 2008 10:43 pm    Post subject: Reply with quote

Houlàlalala ! l'install est pas encore finie que : on remet en cause l'organisation ! :lol: ces jeuns... respecte plus rien ! :lol:

Bon je ne m'engage pas d'avantage sinon à être partial. Tu verras bien par toi même à l'usage : malgré quelques coquilles çà et là nos devs font réellement un super boulot. Mais comme les ingrats que nous sommes tous de temps à autre, on ne remarque que les trains qui arrivent en retard :wink: De façon plus constructive, je ne peux que t'encourager à apporter ta pierre à l'édifice sur b.g.o (apporter des précsions sur un des tracker existant en mentionnant la différence d'arch par exemple, sa ref. initiale ou en réaffectant en dupplicate ou que sais-je encore mais fait le avec tact sinon tu va prendre jakub plein fer :p

Pour ta dernière question : toi tu as fait au départ un lien symbolique de la cible (/usr/lib64) vers un "fichier" que tu as nommé /usr/lib
mais ensuite ça n'a rien à voir ! Tu as créé des liens "en dur" - cad ayant la même ref. d'inode que leurs cibles - dans le répertoire courant /usr/lib64 en l'occurrence. Ces objets liens sont "physiquement" liés au même espace disque ce qui fait que toute action sur l'un affecte l'autre. Néanmoins la suppression du second brisera le lien mais ne supprime pas le premier.

... suis-je clair ? faut que je dorme... vraiment :cry:

-> $man ln pour plus de précisions et fait un test sur n'importe quoi pour voir ce qui se passe
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
fonguy
n00b
n00b


Joined: 06 Jun 2008
Posts: 14
Location: Québec, Canada

PostPosted: Tue Jun 17, 2008 11:43 pm    Post subject: Reply with quote

boozo wrote:
Houlàlalala ! l'install est pas encore finie que : on remet en cause l'organisation ! :lol: ces jeuns... respecte plus rien ! :lol:

Bon je ne m'engage pas d'avantage sinon à être partial. Tu verras bien par toi même à l'usage : malgré quelques coquilles çà et là nos devs font réellement un super boulot. Mais comme les ingrats que nous sommes tous de temps à autre, on ne remarque que les trains qui arrivent en retard :wink: De façon plus constructive, je ne peux que t'encourager à apporter ta pierre à l'édifice sur b.g.o (apporter des précsions sur un des tracker existant en mentionnant la différence d'arch par exemple, sa ref. initiale ou en réaffectant en dupplicate ou que sais-je encore mais fait le avec tact sinon tu va prendre jakub plein fer :p

Pour ta dernière question : toi tu as fait au départ un lien symbolique de la cible (/usr/lib64) vers un "fichier" que tu as nommé /usr/lib
mais ensuite ça n'a rien à voir ! Tu as créé des liens "en dur" - cad ayant la même ref. d'inode que leurs cibles - dans le répertoire courant /usr/lib64 en l'occurrence. Ces objets liens sont "physiquement" liés au même espace disque ce qui fait que toute action sur l'un affecte l'autre. Néanmoins la suppression du second brisera le lien mais ne supprime pas le premier.

... suis-je clair ? faut que je dorme... vraiment :cry:

-> $man ln pour plus de précisions et fait un test sur n'importe quoi pour voir ce qui se passe


En réponse à ta première observation, je dirai que je ne suis pas un jeune et beaucoup s'en faut. :). J'ai pratiqué le métier d'informaticien pendant 35 ans et je suis à la retraite depuis quelques années. Je ne dévoilerai pas mon âge. J'ai pas 60 ans mais pas tellement loin :lol:.

Pour ce qui est de la mention sur gentoo-bugzilla, je verrai. Je suis sous Gentoo que depuis un mois. Je ne me sens pas trop hardi pour poster ceci à cet endroit immédiatement. Je lirai la marche à suivre avant.

Finalement merci pour la dernière explication. J'ai du ménage à faire avant. Le ménage complété, je me fais un stage 5 et ensuite je supprimerai.

J'apporte une dernière précision. En préambule dans le post original, je mentionne sylpheed et claws-mail. Le problème d'installation pour ces logiciels n'a pas la même source. J'ai résolu avec un emerge =automake-1.4_p6 et un WANT_AUTOMAKE=1.4 emerge sylpheed.
_________________
Pentium IV - Asus P4P800 - RAM 4 x 512 Mb DDR - Intel 2,4 Ghz - Sound Blaster Audigy2 Platinum - ATI All-In-Wonder - 2 x 250 Gb Western Digital - HL-DT-ST DVDRAM - Linksys - MS Wireless Multimedia Keyboard - MS Optical Wireless Mouse

Xfce 4.4.2
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum